SamplesTable
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.graphtools.abstracts
Class SamplesTable

    java.lang.Object
      org.gcube.contentmanagement.graphtools.abstracts.SamplesTable

Direct Known Subclasses:
  BigSamplesTable, GraphSamplesTable

    public abstract class SamplesTable

extends java.lang.Object

Field Summary
`double` | `maxX`
`double` | `maxY`
`double` | `minX`
`double` | `minY`

Constructor Summary
`SamplesTable()`

Method Summary
`abstract void` | `addLabel(int i, java.lang.String label)`
`abstract void` | `addSample(int i, int j, double value)`
`abstract void` | `addSampleRow(java.lang.String label, double... values)`
`void` | `calculateBounds()`
`ExampleSet` | `generateExampleSet()`
`void` | `generateSampleTable(ExampleSet es)`
`abstract java.lang.String` | `getClassification(int d)`
`abstract int` | `getNumOfAttributes()`
`abstract int` | `getNumOfDataRows()`
`abstract double` | `getValue(int d, int a)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### minY

    public double minY

### maxY

    public double maxY

### minX

    public double minX

### maxX

    public double maxX

Constructor Detail

### SamplesTable

    public SamplesTable()

Method Detail

### generateExampleSet

    public ExampleSet generateExampleSet()

### generateSampleTable

    public void generateSampleTable(ExampleSet es)

### getNumOfAttributes

    public abstract int getNumOfAttributes()

### getNumOfDataRows

    public abstract int getNumOfDataRows()

### getValue

    public abstract double getValue(int d,
                                    int a)

### getClassification

    public abstract java.lang.String getClassification(int d)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### calculateBounds

    public void calculateBounds()

### addLabel

    public abstract void addLabel(int i,
                                  java.lang.String label)

### addSample

    public abstract void addSample(int i,
                                   int j,
                                   double value)

### addSampleRow

    public abstract void addSampleRow(java.lang.String label,
                                      double... values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD